Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-105126

Build QtBase with QT_DISABLE_DEPRECATED_BEFORE = current Qt version

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: P3: Somewhat important
    • Resolution: Fixed
    • Affects Version/s: 6.5.0 FF
    • Fix Version/s: 6.5.0 FF
    • Component/s: Core: Other
    • Labels:
      None

      Description

      Once we fix the majority of problems with deprecated methods from 6.0 (see QTBUG-104857), we need to try to raise the deprecation version until we reach the current Qt version (dev has 6.5 in time of creating this issue).

      The scope of this task is to find and fix all the deprecation-related issues, or probably create subtasks, if some major issues are found (a good example is QTBUG-105048).

      Note that it might not be possible to build QtBase with deprecated methods for some intermediate versions between 6.0 and current (6.5). For example, the above mentioned QTBUG-105048 requires deprecating some more APIs and providing replacements for them. So it can't be cherry-picked to older Qt versions.

        Attachments

          Issue Links

          For Gerrit Dashboard: QTBUG-105126
          # Subject Branch Project Status CR V

            Activity

              People

              Assignee:
              ivan.solovev Ivan Solovev
              Reporter:
              ivan.solovev Ivan Solovev
              PM Owner:
              Vladimir Minenko Vladimir Minenko
              RnD Owner:
              Alex Blasche Alex Blasche
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes